Name:           perl-Statistics-Descriptive
Version:        3.0800
Release:        4%{?dist}
Summary:        Module of basic descriptive statistical functions
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Statistics-Descriptive/
Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/Statistics-Descriptive-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Benchmark)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(parent)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(List::MoreUtils)
Requires:       perl(List::Util)
Requires:       perl(parent)
Requires:       perl(POSIX)
Requires:       perl(strict)
Requires:       perl(vars)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides basic functions used in descriptive statistics. It has
an object oriented design and supports two different types of data storage
and calculation objects: sparse and full. With the sparse method, none of
the data is stored and only a few statistical measures are available. Using
the full method, the entire data set is retained and additional functions
are available.

%prep
%setup -q -n Statistics-Descriptive-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini examples LICENSE META.json README scripts UserSurvey.txt weaver.ini
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 22 2022 Daniel Berteaud <dbd@ehtrace.com> 3.0800-4
- Add BuildReq (dbd@ehtrace.com)

* Fri Jul 22 2022 Daniel Berteaud <dbd@ehtrace.com> 3.0800-3
- Add %%{?perl_default_filter} (dbd@ehtrace.com)

* Fri Jul 22 2022 Daniel Berteaud <dbd@ehtrace.com> 3.0800-2
- new package built with tito

* Fri Jul 22 2022 Daniel Berteaud <dbd@ehtrace.com> 3.0800-1
- Specfile autogenerated by cpanspec 1.78.
